/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.mobile.dto.device;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 上位机管理表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-09-13 17:29:53  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "上位机管理表")
public class CdDeviceCtrl extends Partition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_ctrlName = "ctrlName";
  public static final String KEY_ctrlIp = "ctrlIp";
  public static final String KEY_ctrlAddr = "ctrlAddr";
  public static final String KEY_ctrlPort = "ctrlPort";
  public static final String KEY_appiumPort = "appiumPort";
  public static final String KEY_ctrlStatus = "ctrlStatus";
  public static final String KEY_ctrlUpLimit = "ctrlUpLimit";
  public static final String KEY_remark = "remark";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";

  /**
   * 主键id<br>
   */
  @ApiModelProperty("主键id")
  @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 上位机名称<br>
   */
  @ApiModelProperty("上位机名称")
  @Size(max = 32, message="上位机名称-ctrlName: 数据长度不能 > 32" )
  private String ctrlName;
  /**
   * 上位机ip<br>
   */
  @ApiModelProperty("上位机ip")
  @Size(max = 32, message="上位机ip-ctrlIp: 数据长度不能 > 32" )
  private String ctrlIp;
  /**
   * 上位机位置<br>
   */
  @ApiModelProperty("上位机位置")
  @Size(max = 32, message="上位机位置-ctrlAddr: 数据长度不能 > 32" )
  private String ctrlAddr;
  /**
   * 上位机端口<br>
   */
  @ApiModelProperty("上位机端口")
  @Size(max = 5, message="上位机位置-ctrlPort: 数据长度不能 > 5" )
  private String ctrlPort;
  /**
   * appium端口<br>
   */
  @ApiModelProperty("appium端口")
  @Size(max = 5, message="上位机位置-appiumPort: 数据长度不能 > 5" )
  private String appiumPort;
  /**
   * 上位机状态<br>
   */
  @ApiModelProperty("上位机状态")
  @Size(max = 1, message="上位机状态-ctrlStatus: 数据长度不能 > 1" )
  private String ctrlStatus;
  /**
   * 接入设备上限<br>
   */
  @ApiModelProperty("接入设备上限")
  private Integer ctrlUpLimit;
  /**
   * 备注<br>
   */
  @ApiModelProperty("备注")
  @Size(max = 512, message="备注-remark: 数据长度不能 > 512" )
  private String remark;
  /**
   * 注册时间<br>
   */
  @ApiModelProperty("注册时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  /**
   * 主键id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 上位机名称<br>
   */
  public String getCtrlName()
  {
      return ctrlName;
    }

  /**
   * 上位机名称<br>
   *
   * @param ctrlName 上位机名称
   */
  public void setCtrlName(String ctrlName)
  {
      this.ctrlName = ctrlName;
    }
  /**
   * 上位机ip<br>
   */
  public String getCtrlIp()
  {
      return ctrlIp;
    }

  /**
   * 上位机ip<br>
   *
   * @param ctrlIp 上位机ip
   */
  public void setCtrlIp(String ctrlIp)
  {
      this.ctrlIp = ctrlIp;
    }
  /**
   * 上位机位置<br>
   */
  public String getCtrlAddr()
  {
      return ctrlAddr;
    }

  /**
   * 上位机位置<br>
   *
   * @param ctrlAddr 上位机位置
   */
  public void setCtrlAddr(String ctrlAddr)
  {
      this.ctrlAddr = ctrlAddr;
    }
  /**
   * 上位机状态<br>
   */
  public String getCtrlStatus()
  {
      return ctrlStatus;
    }

  /**
   * 上位机状态<br>
   *
   * @param ctrlStatus 上位机状态
   */
  public void setCtrlStatus(String ctrlStatus)
  {
      this.ctrlStatus = ctrlStatus;
    }
  /**
   * 接入设备上限<br>
   */
  public Integer getCtrlUpLimit()
  {
      return ctrlUpLimit;
    }

  /**
   * 接入设备上限<br>
   *
   * @param ctrlUpLimit 接入设备上限
   */
  public void setCtrlUpLimit(Integer ctrlUpLimit)
  {
      this.ctrlUpLimit = ctrlUpLimit;
    }
  /**
   * 备注<br>
   */
  public String getRemark()
  {
      return remark;
    }

  /**
   * 备注<br>
   *
   * @param remark 备注
   */
  public void setRemark(String remark)
  {
      this.remark = remark;
    }

  @Override
  public String getCreatedBy() {
    return null;
  }

  @Override
  public void setCreatedBy(String creator) {

  }

  /**
   * 注册时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 注册时间<br>
   *
   * @param createdTime 注册时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  public String getCtrlPort() {
    return ctrlPort;
  }

  public void setCtrlPort(String ctrlPort) {
    this.ctrlPort = ctrlPort;
  }

  public String getAppiumPort() {
    return appiumPort;
  }

  public void setAppiumPort(String appiumPort) {
    this.appiumPort = appiumPort;
  }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public CdDeviceCtrl()
  {
  }

}
